<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
MutexConfig..::.InitMutexes Property
MutexConfig Class See Also Send Feedback

The initial number of mutexes to allocate.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public uint InitMutexes { get; set; }

Visual Basic (Declaration)

    Public Property InitMutexes As UInteger

Visual C++

    public:
    property unsigned int InitMutexes {
    	unsigned int get ();
    	void set (unsigned int value);
    }

# Remarks

Berkeley DB allocates a default number of mutexes based on the initial configuration of the database environment. This method allows the user to override that default value.

If the database environment already exists when Open(String, DatabaseEnvironmentConfig) is called, the value of InitMutexes will be ignored.

# See Also

MutexConfig Class
BerkeleyDB Namespace